#ifndef LINKTAB_H
#define LINKTAB_H
 
 
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
 
/* For DLL using these function :*/
#include "cpa_expt.h" 
 
 
/* fonctions d'acces direct */
#if !defined(U64)
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfGeometric();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementIndexedTriangle();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementTMeshe();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementFaceMapDescriptor();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementSprite();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementLine();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementSphere();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementAlignedBoxe();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementPoint();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementCone();
 
#ifdef USE_ALTIMAPS
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfElementAltimap();
#endif /*USE_ALTIMAPS*/
 
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfFaceMapDescriptor();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfSprite();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfTexture();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfTextureSection();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfVisualMaterial();
extern CPA_EXPORT SCR_tdst_Link_Table *GLI_p_stGetLinkTableOfFrontierElement();
#endif /* U64 */
 
/* fonctions d'init */
extern CPA_EXPORT void GLI_vInitLinkTableOfGeometric();
 
/* fonctions de desinit */
extern CPA_EXPORT void GLI_vCloseLinkTableOfGeometric();
 
/* fonctions d'ajout */
extern CPA_EXPORT void GLI_vSetValueInLinkTableOfGeometric( char *_p_szKey,unsigned long _ulValue);
 
/* fonctions de recherche par clef */
extern CPA_EXPORT unsigned long GLI_ulSearchKeyInLinkTableOfGeometric( char *_p_szKey);
 
/* fonctions de recherche par valeur */
extern CPA_EXPORT char * GLI_p_cSearchValueInLinkTableOfGeometric( unsigned long _ulValue);
 
#ifdef __cplusplus
}
#endif /* __cplusplus */
 
 
#endif /* LINKTAB_H */
